# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.ScriptLib

Packages that use ScriptLib
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of ScriptLib in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ScriptLib
Modifier and Type
Method
Description
`static ScriptLib`
StructureFactory.`createScriptLib()`
Creates an empty join condition structure.
`final ScriptLib`
ModuleHandleImpl.`findScriptLib(String name)`
Gets script lib though name
Methods in org.eclipse.birt.report.model.api with parameters of type ScriptLib
Modifier and Type
Method
Description
`final void`
ModuleHandleImpl.`addScriptLib(ScriptLib scriptLib)`
Add script lib
`final void`
ModuleHandleImpl.`dropScriptLib(ScriptLib scriptLib)`
Removes special script lib.